Name:           lush
Version:        1.2.1
Release:        1%{?dist}
Summary:        An object-oriented Lisp interpreter and compiler

Group:          Development/Languages
License:        GPL
URL:            http://lush.sourceforge.net
Source0:        http://download.sourceforge.net/lush/lush-1.2.1.tar.gz
Source1:        http://lush.sourceforge.net/lush-manual.pdf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  readline-devel
BuildRequires:  gpm-devel
BuildRequires:  binutils-devel
BuildRequires:  libX11-devel
BuildRequires:  libSM-devel
BuildRequires:  libICE-devel
BuildRequires:  libXft-devel
BuildRequires:  freetype-devel
BuildRequires:  zlib-devel
BuildRequires:  pkgconfig

%description
Lush is an object-oriented programming language designed for
researchers, experimenters, and engineers interested in large-scale
numerical and graphic applications. Lush is designed to be used in
situations where one would want to combine the flexibility of a
high-level, loosely-typed interpreted language, with the efficiency of
a strongly-typed, natively-compiled language, and with the easy
integration of code written in C, C++, or other languages.


%prep
%setup -q -n lush
cp %{SOURCE1} .
sed -i "s|OPTS =.*|OPTS = $RPM_OPT_FLAGS|" src/Makefile.in

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# fix file flags
find $RPM_BUILD_ROOT%{_datadir}/lush -type f -exec chmod 0644 '{}' \;
find $RPM_BUILD_ROOT%{_datadir}/lush -type f -name demo\* -exec chmod 0755 '{}' \;
find $RPM_BUILD_ROOT%{_datadir}/lush -type f -name tsp -exec chmod 0755 '{}' \;
find $RPM_BUILD_ROOT%{_mandir} -type f -exec chmod 0644 '{}' \;
rm -rf $RPM_BUILD_ROOT%{_datadir}/lush/{src,etc,demos}
chmod 0644 etc/* demos/*
rm -f etc/lush.1 etc/make*
# disable error about buildroot contained in stdenv.dump
export QA_SKIP_BUILD_ROOT=1


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING COPYRIGHT README lush-manual.pdf
%doc etc contrib demos
%{_bindir}/*
%{_datadir}/lush
%{_mandir}/man*/*


%changelog
* Thu Nov 23 2006 Gerard Milmeister <gemi@bluewin.ch> - 1.2.1-1
- new version 1.2.1

* Sat Oct  7 2006 Gerard Milmeister <gemi@bluewin.ch> - 1.2-3
- move examples to docdir

* Mon Sep 25 2006 Gerard Milmeister <gemi@bluewin.ch> - 1.2-2
- added patch to compile with binutils 2.17

* Sun Sep 10 2006 Gerard Milmeister <gemi@bluewin.ch> - 1.2-1
- new version 1.2
